(function(){
    var orderApis = {
        getOrderList: function(data){
            return APIService.httpGet('doctor/prescriptionInfo/getDoctorPrescriptionExpressage', data);
        },
        getOrderListTableAjaxObj: { //表格数据获取时，使用的ajax请求配置
            method: 'get',
            url: APIService.server + 'doctor/prescriptionInfo/getDoctorPrescriptionExpressage', 
            contentType: "application/json",
            dataType: "json",
            ajaxOptions: {
                beforeSend: function(request) {
                    var userAgent = APIService.userAgent;
                    userAgent = JSON.stringify(userAgent);
                    request.setRequestHeader("userAgent", userAgent);
                }
            }
        },
        getFilterInfo: function(){
            return APIService.httpGet('doctor/prescriptionInfo/getPrescriptionExpressageAsdoctorFilter');
        },
        getHospitalList: function (data){
            return APIService.httpGet('doctor/prescriptionInfo/getHospitalListTitle', data);
        },
        getOrderListCount: function(data){
            return APIService.httpGet('doctor/prescriptionInfo/getDoctorPrescriptionExpressageTotal', data);
        },
        getHealthDoctor: function(data){
            return APIService.httpGet('doctor/prescriptionInfo/getHDoctorInDoctorHosiptal', data);
        },
        getHealthDoctorTableAjaxObj: { //表格数据获取时，使用的ajax请求配置
            method: 'get',
            url: APIService.server + 'doctor/prescriptionInfo/getHDoctorInDoctorHosiptal', 
            contentType: "application/json",
            dataType: "json",
            ajaxOptions: {
                beforeSend: function(request) {
                    var userAgent = APIService.userAgent;
                    userAgent = JSON.stringify(userAgent);
                    request.setRequestHeader("userAgent", userAgent);
                }
            }
        },
        distributeHealthDoctor: function(data){
            return APIService.httpPost('doctor/prescriptionInfo/distributionHealthDoctor', data);
        },
        //健管师页面接口
        getHOrderList: function(data){
            return APIService.httpGet('doctor/prescriptionInfo/getHDoctorPrescriptionExpressage', data);
        },
        getHOrderListTableAjaxObj: { //表格数据获取时，使用的ajax请求配置
            method: 'get',
            url: APIService.server + 'doctor/prescriptionInfo/getHDoctorPrescriptionExpressage', 
            contentType: "application/json",
            dataType: "json",
            ajaxOptions: {
                beforeSend: function(request) {
                    var userAgent = APIService.userAgent;
                    userAgent = JSON.stringify(userAgent);
                    request.setRequestHeader("userAgent", userAgent);
                }
            }
        },
        getHFilterInfo: function(){
            return APIService.httpGet('doctor/prescriptionInfo/getPrescriptionExpressageFilter');
        },
        getHOrderListCount: function(data){
            return APIService.httpGet('doctor/prescriptionInfo/getHDoctorPrescriptionExpressageTotal',data);
        },
        //订单跟踪页面的接口
        getPrescriptionFollow: function(data){
            return APIService.httpGet('doctor/prescriptionInfo/prescriptionFollow', data);
        },
        getOrderFollow: function(data){
            return APIService.httpGet('doctor/prescriptionlog/orderFollow', data);
        },
        getSfRouteService: function(data){
            return APIService.httpPost('doctor/sfexpress/sfrouteservice', data);
        },
        getOrderExpressInfo: function(data){
            return APIService.httpGet('doctor/sfexpress/sfgetorderinfoservice', data);
        }
    };

    window.orderAPI = orderApis;
})(jQuery)